Main Page Widgets Namespaces Book

# Gtk::FontButton Class Reference
[Widgets]

Inheritance diagram for Gtk::FontButton:

[legend]
List of all members.

## Detailed Description

A button to launch a font selection dialog.

The Gtk::FontButton is a button which displays the currently selected font and allows to open a font selection dialog to change the font. It is suitable widget for selecting a font in a preference dialog.

## Public Member Functions

virtual | ~FontButton ()
GtkFontButton* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFontButton* | gobj () const
| Provides access to the underlying C GtkObject.
| FontButton ()
| FontButton (const Glib::ustring& fontname)
Glib::ustring | get_title () const
| Retrieves the title of the font selection dialog.
void | set_title (const Glib::ustring& title)
| Sets the title for the font selection dialog.
bool | get_use_font () const
| Returns whether the selected font is used in the label.
void | set_use_font (bool use_font=true)
| If use_font is `true`, the font name will be written using the selected font.
bool | get_use_size () const
| Returns whether the selected size is used in the label.
void | set_use_size (bool use_size=true)
| If use_size is `true`, the font name will be written using the selected size.
Glib::ustring | get_font_name () const
| Retrieves the name of the currently selected font.
bool | set_font_name (const Glib::ustring& fontname)
| Sets or updates the currently-displayed font in font picker dialog.
bool | get_show_style () const
| Returns whether the name of the font style will be shown in the label.
void | set_show_style (bool show_style=true)
| If show_style is `true`, the font style will be displayed along with name of the selected font.
bool | get_show_size () const
| Returns whether the font size will be shown in the label.
void | set_show_size (bool show_size=true)
| If show_size is `true`, the font size will be displayed along with the name of the selected font.
Glib::PropertyProxy<Glib::ustring> | property_title ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_font_name ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font_name () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_use_font ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_use_font () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_use_size ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_use_size () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_show_style ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_show_style () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_show_size ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_show_size () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::SignalProxy0<void> | signal_font_set ()

## Protected Member Functions

virtual void | on_font_set ()

## Related Functions

(Note that these are not member functions.)
Gtk::FontButton* | wrap (GtkFontButton* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::FontButton::~FontButton | ( |  | ) | `[virtual]`

Gtk::FontButton::FontButton | ( |  | ) |

Gtk::FontButton::FontButton | ( | const Glib::ustring& | fontname | ) | `[explicit]`

## Member Function Documentation

Glib::ustring Gtk::FontButton::get_font_name | ( |  | ) | const

Retrieves the name of the currently selected font.

Returns:
  An internal copy of the font name which must not be freed.

Since: 2.4.

bool Gtk::FontButton::get_show_size | ( |  | ) | const

Returns whether the font size will be shown in the label.

Returns:
  Whether the font size will be shown in the label.

Since: 2.4.

bool Gtk::FontButton::get_show_style | ( |  | ) | const

Returns whether the name of the font style will be shown in the label.

Returns:
  Whether the font style will be shown in the label.

Since: 2.4.

Glib::ustring Gtk::FontButton::get_title | ( |  | ) | const

Retrieves the title of the font selection dialog.

Returns:
  An internal copy of the title string which must not be freed.

Since: 2.4.

bool Gtk::FontButton::get_use_font | ( |  | ) | const

Returns whether the selected font is used in the label.

Returns:
  Whether the selected font is used in the label.

Since: 2.4.

bool Gtk::FontButton::get_use_size | ( |  | ) | const

Returns whether the selected size is used in the label.

Returns:
  Whether the selected size is used in the label.

Since: 2.4.

const GtkFontButton* Gtk::FontButton::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

GtkFontButton* Gtk::FontButton::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

virtual void Gtk::FontButton::on_font_set | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::FontButton::property_font_name | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::FontButton::property_font_name | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::FontButton::property_show_size | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::FontButton::property_show_size | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::FontButton::property_show_style | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::FontButton::property_show_style | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::FontButton::property_title | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::FontButton::property_title | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::FontButton::property_use_font | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::FontButton::property_use_font | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::FontButton::property_use_size | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::FontButton::property_use_size | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

bool Gtk::FontButton::set_font_name | ( | const Glib::ustring& | fontname | ) |

Sets or updates the currently-displayed font in font picker dialog.

Parameters:

  | fontname | Name of font to display in font selection dialog.

Returns:
  Return value of Gtk::FontSelectionDialog::set_font_name() if the font selection dialog exists, otherwise `false`.

Since: 2.4.

void Gtk::FontButton::set_show_size | ( | bool | show_size = `true` | ) |

If show_size is `true`, the font size will be displayed along with the name of the selected font.

Since: 2.4

Parameters:

  | show_size | `true` if font size should be displayed in dialog.

void Gtk::FontButton::set_show_style | ( | bool | show_style = `true` | ) |

If show_style is `true`, the font style will be displayed along with name of the selected font.

Since: 2.4

Parameters:

  | show_style | `true` if font style should be displayed in label.

void Gtk::FontButton::set_title | ( | const Glib::ustring& | title | ) |

Sets the title for the font selection dialog.

Since: 2.4

Parameters:

  | title | A string containing the font selection dialog title.

void Gtk::FontButton::set_use_font | ( | bool | use_font = `true` | ) |

If use_font is `true`, the font name will be written using the selected font.

Since: 2.4

Parameters:

  | use_font | If `true`, font name will be written using font chosen.

void Gtk::FontButton::set_use_size | ( | bool | use_size = `true` | ) |

If use_size is `true`, the font name will be written using the selected size.

Since: 2.4

Parameters:

  | use_size | If `true`, font name will be written using the selected size.

Glib::SignalProxy0<void> Gtk::FontButton::signal_font_set | ( |  | ) |

## Friends And Related Function Documentation

Gtk::FontButton* wrap | ( | GtkFontButton* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fontbutton.h